Bug 1378159 - iSCSI install crashes with 'The name org.freedesktop.UDisks2 was not provided by any .service files'
Summary: iSCSI install crashes with 'The name org.freedesktop.UDisks2 was not provided...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Keywords:
Depends On:
Blocks: F25FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2016-09-21 16:16 UTC by Adam Williamson
Modified: 2016-10-27 21:29 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-10-27 21:29:47 UTC


Attachments (Terms of Use)

Description Adam Williamson 2016-09-21 16:16:37 UTC
In current Fedora 25 (not Rawhide), iSCSI installs crash with this traceback:

23:02:04,876 CRIT anaconda: Traceback (most recent call last):

  File "/usr/lib/python3.5/site-packages/blivet/safe_dbus.py", line 147, in call_sync
    DEFAULT_DBUS_TIMEOUT, None)

GLib.GError: g-dbus-error-quark: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.UDisks2 was not provided by any .service files (2)


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/usr/lib64/python3.5/site-packages/pyanaconda/ui/gui/spokes/filter.py", line 661, in on_add_iscsi_clicked
    dialog.refresh()

  File "/usr/lib64/python3.5/site-packages/pyanaconda/ui/gui/spokes/advstorage/iscsi.py", line 171, in refresh
    self._initiatorEntry.set_text(self.iscsi.initiator)

  File "/usr/lib/python3.5/site-packages/blivet/util.py", line 1104, in decorated
    if self.check_avail(onetime=just_onetime):

  File "/usr/lib/python3.5/site-packages/blivet/util.py", line 1092, in check_avail
    self._avail = self._check_avail()

  File "/usr/lib/python3.5/site-packages/blivet/iscsi.py", line 92, in _check_avail
    if not safe_dbus.check_object_available(STORAGED_SERVICE, STORAGED_MANAGER_PATH, MANAGER_IFACE):

  File "/usr/lib/python3.5/site-packages/blivet/safe_dbus.py", line 194, in check_object_available
    intro_data = call_sync(service, obj_path, DBUS_INTRO_IFACE, "Introspect", None)

  File "/usr/lib/python3.5/site-packages/blivet/safe_dbus.py", line 151, in call_sync
    raise DBusCallError(msg)

blivet.safe_dbus.DBusCallError: Failed to call Introspect method on /org/freedesktop/UDisks2/Manager with None arguments: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.UDisks2 was not provided by any .service files

I guess this is related to the replacement of udisks by storaged. Rawhide has the code ported to storaged, which has its own bugs (the current Rawhide failure is https://bugzilla.redhat.com/show_bug.cgi?id=1378156 ).

Proposing as a Final blocker per criterion "The installer must be able to detect (if possible) and install to supported network-attached storage devices."

Comment 1 Adam Williamson 2016-09-26 17:05:11 UTC
So, here's the storaged Change page: https://fedoraproject.org/wiki/Changes/Replace_UDisks2_by_Storaged

It claims storaged is a "drop-in replacement" and "Since, Storaged should replace UDisks2 in 1:1 manner, there is no additional change required".

On that basis, should we consider this a storaged bug? CCing storaged change owners for comment. Also CCing Kevin Kofler, who noted that the same error has been seen in KDE, implying some KDE thing is also expecting the UDisks2 dbus interface and not getting it.

Comment 2 Geoffrey Marr 2016-09-26 23:23:55 UTC
Discussed during the 2016-09-26 blocker review meeting: [1]

The decision to classify this bug as an AcceptedBlocker was made as it is a clear violation of the following Final criteria: "The installer must be able to detect (if possible) and install to supported network-attached storage devices."

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-09-26/f25-blocker-review.2016-09-26-16.04.txt

Comment 3 Kevin Kofler 2016-09-27 02:53:12 UTC
> Also CCing Kevin Kofler, who noted that the same error has been seen in KDE,
> implying some KDE thing is also expecting the UDisks2 dbus interface and not
> getting it.

Well, I finally found the message I was remembering:
http://www.spinics.net/linux/fedora/fedora-kde/msg18000.html
but unfortunately, the error message is different, so it is likely not the same issue. The message is unfortunately also very low on details, it doesn't look like enough to file a useful bug report from. :-(

Comment 4 Tomas Smetana 2016-09-27 06:24:05 UTC
> Well, I finally found the message I was remembering:
> http://www.spinics.net/linux/fedora/fedora-kde/msg18000.html
> but unfortunately, the error message is different, so it is likely not the
> same issue. The message is unfortunately also very low on details, it
> doesn't look like enough to file a useful bug report from. :-(

Please try to fully upgrade the system: there were problems with storaged's selinux-policy and lots of similar problems were caused by SELinux denials. (Not this one though.)

This one looks to be the same as bug #1347415 though.

Comment 5 Kevin Kofler 2016-09-27 11:21:38 UTC
I was not the one with the issue.

Comment 6 Adam Williamson 2016-09-28 22:48:54 UTC
The Fedora-25-20160928.n.0 test hit https://bugzilla.redhat.com/show_bug.cgi?id=1378156 rather than this bug:

https://openqa.fedoraproject.org/tests/37016

not sure if that means updated anaconda and blivet fixed this one somehow, or whether that one happens before this and is now masking it.

Comment 7 Samantha N. Bueno 2016-10-20 18:27:05 UTC
This problem may be something deeper, but let's start with blivet.

Comment 8 Adam Williamson 2016-10-27 21:29:47 UTC
I fixed a pile of iSCSI issues last night, but this wasn't one of them, so I think this got fixed somewhere along the line.


Note You need to log in before you can comment on or make changes to this bug.